<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="testASN1"
	ProjectGUID="{81238AC1-8539-4553-A252-79BE16E8985A}"
	RootNamespace="testASN1"
	Keyword="Win32Proj"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
		<ToolFile
			RelativePath="..\asn1.rules"
		/>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="asn1c.cmd"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".;skeletons;ASN1;..\Includes;.."
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;EMIT_ASN_DEBUG=1"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="asn1c.cmd"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories=".;skeletons;ASN1;..\Includes;.."
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Static Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="asn1c.cmd"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".;skeletons;ASN1;..\Includes;.."
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;EMIT_ASN_DEBUG=1"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\Sources\byteBuffer.cpp"
				>
			</File>
			<File
				RelativePath="..\Sources\PKCS15lite.asn"
				>
			</File>
			<File
				RelativePath=".\testASN1.cpp"
				>
			</File>
			<File
				RelativePath="..\Sources\Util.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="ASN1"
			>
			<File
				RelativePath=".\ASN1\CertificateObject.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CertificateObjectCERES.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CertificateSerialNumber.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CommonCertificateAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CommonDataObjectAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CommonKeyAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CommonObjectAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\CommonObjectFlags.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\DataObject.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\KeyAccessFlags.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\KeyUsageFlags.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\Label.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\LabelCERES.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\Path.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\PrivateKeyObject.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\PrivateKeyObjectCERES.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\PrivateRSAKeyAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\PublicKeyObject.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\PublicKeyObjectCERES.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\PublicRSAKeyAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\TokenFlags.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\TokenInfo.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\TokenInfoT61.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\X509CertificateAttributes.c"
				>
			</File>
			<File
				RelativePath=".\ASN1\X509CertificateAttributesCeres.c"
				>
			</File>
		</Filter>
		<Filter
			Name="skeletons"
			>
			<File
				RelativePath=".\skeletons\ANY.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\asn_codecs_prim.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\ber_decoder.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\ber_tlv_length.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\ber_tlv_tag.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\BIT_STRING.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\BOOLEAN.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\constr_CHOICE.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\constr_SEQUENCE.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\constr_TYPE.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\constraints.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\der_encoder.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\INTEGER.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\OCTET_STRING.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\per_support.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\T61String.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\UTF8String.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\xer_decoder.c"
				>
			</File>
			<File
				RelativePath=".\skeletons\xer_support.c"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
